## ros-kinetic-fzi-icl-comm 0.0.2

=== CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# -- BEGIN LICENSE BLOCK ----------------------------------------------
# This file is part of the SCHUNK SVH Driver suite.
#
# This program is free software licensed under the LGPL
# (GNU LESSER GENERAL PUBLIC LICENSE Version 3).
# You can find a copy of this license in LICENSE.txt in the top
# directory of the source code.
#
# © Copyright 2014 SCHUNK Mobile Greifsysteme GmbH, Lauffen/Neckar Germany
# © Copyright 2016 FZI Forschungszentrum Informatik, Karlsruhe, Germany
#
# -- END LICENSE BLOCK ------------------------------------------------

cmake_minimum_required(VERSION 2.8.3)
project(fzi_icl_comm)

find_package(icl_core REQUIRED COMPONENTS icl_core_config icl_core_logging icl_core)


# include the icl_hardware_can workspace
SET(ICMAKER_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icmaker")
INCLUDE(${ICMAKER_DIRECTORY}/CMakeLists.txt)
ADD_SUBDIRECTORY (src/icl_comm)

# reset the project name as otherwise it would be IcMaker
project(fzi_icl_comm)

# install package.xml as we are a plain cmake package
install(FILES package.xml DESTINATION share/icl_hardware_comm)

=== src/icl_comm/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# -- BEGIN LICENSE BLOCK ----------------------------------------------
# This file is part of the SCHUNK SVH Driver suite.
#
# This program is free software licensed under the LGPL
# (GNU LESSER GENERAL PUBLIC LICENSE Version 3).
# You can find a copy of this license in LICENSE.txt in the top
# directory of the source code.
#
# © Copyright 2014 SCHUNK Mobile Greifsysteme GmbH, Lauffen/Neckar Germany
# © Copyright 2016 FZI Forschungszentrum Informatik, Karlsruhe, Germany
#
# -- END LICENSE BLOCK ------------------------------------------------

# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# To be used by other modules
SET(ICL_COMM_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" "${CMAKE_CURRENT_BINARY_DIR}/src" CACHE INTERNAL "")
SET(ICL_COMM_IDL_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/src" CACHE INTERNAL "")
SET(ICL_COMM_IDE_FOLDER "icl_comm")

IF("${CMAKE_SYSTEM_NAME}" STREQUAL "Windows")
  MESSAGE(STATUS "Package icl_comm has not been ported to Windows yet, ignoring.")
ELSE()
  ICMAKER_REGISTER_PACKAGE(icl_comm)

  ADD_SUBDIRECTORY (src/icl_comm)
  ADD_SUBDIRECTORY (src/icl_comm_serial)

  ICMAKER_CONFIGURE_PACKAGE()

ENDIF()

=== src/icl_comm/src/icl_comm/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-

# -- BEGIN LICENSE BLOCK ----------------------------------------------
# This file is part of the SCHUNK SVH Driver suite.
#
# This program is free software licensed under the LGPL
# (GNU LESSER GENERAL PUBLIC LICENSE Version 3).
# You can find a copy of this license in LICENSE.txt in the top
# directory of the source code.
#
# © Copyright 2014 SCHUNK Mobile Greifsysteme GmbH, Lauffen/Neckar Germany
# © Copyright 2016 FZI Forschungszentrum Informatik, Karlsruhe, Germany
#
# -- END LICENSE BLOCK ------------------------------------------------

ICMAKER_SET("icl_comm" IDE_FOLDER ${ICL_COMM_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  ByteOrderConversion.cpp
  )

ICMAKER_ADD_HEADERS(
  ByteOrderConversion.h
  ImportExport.h
  )

IF (NOT WIN32)
  ICMAKER_ADD_SOURCES(
    InterfaceAddress.cpp
    )
    
  ICMAKER_ADD_HEADERS(
    InterfaceAddress.h
    )
ENDIF ()

ICMAKER_LOCAL_CPPDEFINES(-DICL_COMM_EXPORT_SYMBOLS)
ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_COMM_)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_COMM_INCLUDE_DIRS})

ICMAKER_EXTERNAL_DEPENDENCIES(EXPORT
  Boost
  Boost_FILESYSTEM
  Boost_SYSTEM
)

ICMAKER_INTERNAL_DEPENDENCIES(
  icl_core
)

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS(${icmaker_target})

=== src/icl_comm/src/icl_comm_serial/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("icl_comm_serial" IDE_FOLDER ${ICL_COMM_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  Logging.cpp
  Serial.cpp
  SerialFlags.cpp
)

ICMAKER_ADD_HEADERS(
  ImportExport.h
  Logging.h
  Serial.h
  SerialFlags.h
)

ICMAKER_LOCAL_CPPDEFINES(-DICL_COMM_SERIAL_EXPORT_SYMBOLS)
ICMAKER_GLOBAL_CPPDEFINES(-D_IC_BUILDER_ICL_COMM_SERIAL_)
ICMAKER_INCLUDE_DIRECTORIES(${ICL_COMM_INCLUDE_DIRS})

ICMAKER_INTERNAL_DEPENDENCIES(
  icl_core
)

ICMAKER_BUILD_LIBRARY()
ICMAKER_INSTALL_HEADERS(${icmaker_target})

=== src/icl_comm/src/ts/icl_comm/CMakeLists.txt ===
# this is for emacs file handling -*- mode: cmake; indent-tabs-mode: nil -*-
ICMAKER_SET("ts_icl_comm" IDE_FOLDER ${ICL_COMM_IDE_FOLDER})

ICMAKER_ADD_SOURCES(
  ts_main.cpp
  ts_ByteOrderConversion.cpp
  )

IF(Boost_FOUND)
  IF(BUILD_SHARED_LIBS)
    ICMAKER_LOCAL_CPPDEFINES("-DBOOST_TEST_DYN_LINK")
  ENDIF(BUILD_SHARED_LIBS)
ENDIF(Boost_FOUND)
ICMAKER_EXTERNAL_DEPENDENCIES(
  Boost_UNIT_TEST_FRAMEWORK
  )

ICMAKER_INTERNAL_DEPENDENCIES(
  icl_core
  icl_comm
  )

ICMAKER_BUILD_TEST()

=== debian/changelog ===
ros-kinetic-fzi-icl-comm (0.0.2-0xenial) xenial; urgency=high

  * corrected maintainer's email address
  * moved fzi prefix from roscpp to icl_core
    this error was introduced before
  * Contributors: Felix Mauch

 -- Georg Heppner <heppner@fzi.de>  Wed, 23 Nov 2016 23:00:00 -0000

ros-kinetic-fzi-icl-comm (0.0.1-0xenial) xenial; urgency=high

  * initial commit
  * Contributors: Felix Mauch

 -- Georg Heppner <heppner@fzi.de>  Wed, 23 Nov 2016 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-fzi-icl-comm
Section: misc
Priority: extra
Maintainer: Georg Heppner <heppner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-kinetic-catkin, ros-kinetic-fzi-icl-core, ros-kinetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-fzi-icl-comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-fzi-icl-core, ros-kinetic-roscpp
Description: The fzi_icl_comm package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-fzi-icl-comm//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
